# QKeyEventTransition Class Reference

### [com.trolltech.qt.gui package]

Inherits QEventTransition.

### Constructor

- void QKeyEventTransition(QObject object, Type type, int key, QState sourceState)
- void QKeyEventTransition(QState sourceState)

### Constructor Properties

- prototype: The QKeyEventTransition prototype object

### Instance Properties

QKeyEventTransition objects inherit properties from the QKeyEventTransition prototype object and also have the following properties.

- key
- modifierMask